> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 万象2.7 图生视频

> - Wan 2.7 图生视频模型，支持单图生视频、首尾帧过渡和视频续写
- 异步处理模式，使用返回的任务ID [进行查询](/pages/zh/api-manual/task-management/get-task-detail)
- 生成的视频链接，有效期为24小时，请尽快保存




## OpenAPI

````yaml openapi/zh/wan-2.7-image-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Wan 2.7 Image to Video
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Wan2.7
      summary: Wan 2.7 Image to Video
      description: >
        - Wan 2.7 图生视频模型，支持单图生视频、首尾帧过渡和视频续写

        - 异步处理模式，使用返回的任务ID
        [进行查询](/pages/zh/api-manual/task-management/get-task-detail)

        - 生成的视频链接，有效期为24小时，请尽快保存
      operationId: wan-2.7-image-to-video
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WanV27I2VRequest'
            examples:
              image_to_video:
                summary: Single image to video
                value:
                  model: wan-2.7-image-to-video
                  generation_type: image-to-video
                  image_urls:
                    - https://example.com/start.jpg
                  prompt: The camera slowly pushes in as the subject smiles
                  duration: 5
                  resolution: 1080p
              first_last_frame:
                summary: First-last-frame transition
                value:
                  model: wan-2.7-image-to-video
                  generation_type: first-last-frame
                  image_urls:
                    - https://example.com/day.jpg
                    - https://example.com/night.jpg
                  prompt: >-
                    A smooth transition from day to night in the same city
                    street
                  duration: 8
              video_continuation:
                summary: Video continuation
                value:
                  model: wan-2.7-image-to-video
                  generation_type: video-continuation
                  video_url: https://example.com/clip.mp4
                  prompt: >-
                    Continue the camera move with the character turning toward
                    the window
                  duration: 6
                  enable_prompt_expansion: true
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    WanV27I2VRequest:
      type: object
      required:
        - model
      properties:
        model:
          description: '`wan-2.7-image-to-video`：单图生视频、首尾帧过渡、视频续写'
          examples:
            - wan-2.7-image-to-video
          type: string
          default: wan-2.7-image-to-video
        generation_type:
          anyOf:
            - enum:
                - image-to-video
                - first-last-frame
                - video-continuation
              type: string
            - type: 'null'
          default: null
          description: |
            生成模式

            **可选值：**
            - `image-to-video` — 单图生视频，`image_urls` 恰好 1 张
            - `first-last-frame` — 首尾帧过渡，`image_urls` 恰好 2 张
            - `video-continuation` — 基于 `video_url` 做视频续写
          example: image-to-video
        image_urls:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          description: |
            图片 URL 列表

            **说明：**
            - 单图生视频：传 1 张
            - 首尾帧过渡：传 2 张，顺序为首帧、尾帧
            - 每张图片支持 `JPEG` / `JPG` / `PNG` / `BMP` / `WEBP`
            - 每张图片大小上限 `20MB`
          example:
            - https://example.com/start.jpg
        video_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |
            输入视频的公开 URL

            **说明：**
            - 用于视频续写模式
            - 支持 `MP4` / `MOV`
            - 输入视频时长需在 `2` - `10` 秒之间
            - 文件大小上限 `100MB`
            - 不能与 `image_urls` 同时传入
          example: https://example.com/clip.mp4
        prompt:
          anyOf:
            - maxLength: 5000
              type: string
            - type: 'null'
          default: null
          description: |
            可选提示词，用于补充描述期望的镜头运动、主体动作或场景变化

            **说明：**
            - 最多 `5000` 个字符
          example: The camera slowly pushes in as the subject smiles
        audio_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |
            驱动音频的公开 URL

            **说明：**
            - 支持 WAV / MP3
            - 音频时长需在 `2` - `30` 秒之间
            - 文件大小上限 `15MB`
          example: https://example.com/music.mp3
        duration:
          default: 5
          description: 输出视频时长（秒），支持 `2-15` 的整数秒
          maximum: 15
          minimum: 2
          type: integer
          example: 2
        resolution:
          default: 1080p
          description: 输出视频分辨率，可选 `720p` 或 `1080p`
          enum:
            - 720p
            - 1080p
          type: string
          example: 720p
        negative_prompt:
          anyOf:
            - maxLength: 500
              type: string
            - type: 'null'
          default: null
          description: 负向提示词，用于描述希望避免出现的内容
          example: blurry, jitter
        seed:
          anyOf:
            - maximum: 2147483647
              minimum: 0
              type: integer
            - type: 'null'
          default: null
          description: 随机种子，用于提升结果复现性
          example: 123
        enable_prompt_expansion:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: |-
            是否启用提示词扩展，不传则使用模型默认行为

            > 非必须不要传这个参数。
          x-advanced: true
          example: true
        enable_safety_checker:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: |-
            是否启用安全检查，不传则使用模型默认行为

            > 非必须不要传这个参数。
          x-advanced: true
          example: true
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: 任务创建时间戳
          example: 1757165031
        id:
          type: string
          description: 任务ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: 实际使用的模型名称
        object:
          type: string
          description: 任务的具体类型
          enum:
            - video.generation.task
        progress:
          type: integer
          description: 任务进度百分比 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 任务状态
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: 异步任务信息
          properties:
            can_cancel:
              type: boolean
              description: 任务是否可以取消
              example: true
            estimated_time:
              type: integer
              description: 预计完成时间（秒）
              example: 45
        type:
          type: string
          description: 任务的输出类型
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求格式错误
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: API密钥无效
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 账户余额不足
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 参数校验失败
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求频率超限
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务器内部错误
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务暂不可用，请稍后重试
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: 任务创建成功
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: 请求格式错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: 未授权
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: 余额不足
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: 参数校验失败
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: 请求频率超限
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: 服务器内部错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: 服务暂不可用
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## 所有接口均需要使用Bearer Token进行认证 ##

        使用时在请求头中添加：

        `Authorization: Bearer YOUR_API_KEY`

````